{ stdenv, lib, fetchFromGitHub, which, libtool, autoconf, automake }:

let
  version = "2020-11-04";
  rev = "4098a99f47eb7145f6f7ce0b66a19f6b1b13ebfa";
  sha256 = "1mfaz4ya5c2k1cpn5id4312qb9ni5sp9j7c57jxcfjx7bkds6k17";
in stdenv.mkDerivation rec {
  pname = "usrsctp-unstable";
  inherit version;

  src = fetchFromGitHub {
    owner = "sctplab";
    repo = "usrsctp";
    inherit rev sha256;
  };

  nativeBuildInputs = [
    which
    libtool
    autoconf
    automake
  ];

  hardeningDisable = [
    "fortify"
  ];

  preConfigure = "./bootstrap";
}
